﻿# SignalPy
**Real-time Communication for web applications  with SignalR**
*Incredibly simple real-time web for python WSGI servers and frameworks*
## Realtime
Today's modern websites are expected to deliver up-to-date information without hitting a refresh button. Add that real-time functionality to your python web applications.

What is real-time functionality? It's the ability to have your server-side code push content to connected clients as it happens, in real-time.
## WSGI compatible
SignalPy apps can be written in python code and added to your server app with or without application framework. 
many servers and web applications are WSGI.

`else:` you can use default server ( ServeLight ) and inbuilt application framework.
## What can you do with SignalPy
While chat is often used as an example, you can do a whole lot more. SignalPy also enables completely new types of applications that require high-frequency updates from the server, such as real-time gaming.
## Open source, open protocol
SignalPy is open-source on GitHub. In addition to the source code, protocol specification the for communication between hubs and clients is open too.
## Connect from everywhere
With client SDKs for JavaScript, you can connect to your SignalPy hub and start receiving real-time messages.
use [Gunicorn](https://gunicorn.org/) and [Nginx](https://www.nginx.com/) for production on web.

SignalPy will use WebSockets when it's available, and gracefully falls back on other technologies when it isn't, while your application code stays the same.
## Simple
 SignalPy is simple but not powerful like [SignalR](https://dotnet.microsoft.com/apps/aspnet/signalr)
## SignalPy vs [SignalR](https://dotnet.microsoft.com/apps/aspnet/signalr)
 Don't compare SignalPy and [SignalR](https://dotnet.microsoft.com/apps/aspnet/signalr). Signalr is a powerful method for .NET framework. Its not for python
 it is an example for SignalPy. SinalPy is not powerful like SignalR. Help me to improve this project like SignalR.
 
 **Contribute**
 # Get started...
